<?php



class GlobKurierOrderMapBuilder {

	
	const CLASS_NAME = 'plugins.appGlobKurierPlugin.lib.model.map.GlobKurierOrderMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('app_glob_kurier_order');
		$tMap->setPhpName('GlobKurierOrder');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('NRGK', 'Nrgk', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENT_DATE', 'SentDate', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('BASE_SERVICE', 'BaseService', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('COURIER', 'Courier', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('ADDITIONAL_SERVICES', 'AdditionalServices', 'array', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('COD_AMOUNT', 'CodAmount', 'double', CreoleTypes::DECIMAL, false, 8);

		$tMap->addColumn('COD_ACCOUNT', 'CodAccount', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('INSURANCE_AMOUNT', 'InsuranceAmount', 'double', CreoleTypes::DECIMAL, false, 8);

		$tMap->addColumn('DECLARED_VALUE', 'DeclaredValue', 'double', CreoleTypes::DECIMAL, false, 8);

		$tMap->addColumn('PAYMENT_TYPE', 'PaymentType', 'string', CreoleTypes::CHAR, false, null);

		$tMap->addColumn('CONTENT', 'Content', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('LENGTH', 'Length', 'double', CreoleTypes::DECIMAL, false, 8);

		$tMap->addColumn('WIDTH', 'Width', 'double', CreoleTypes::DECIMAL, false, 8);

		$tMap->addColumn('HEIGHT', 'Height', 'double', CreoleTypes::DECIMAL, false, 8);

		$tMap->addColumn('WEIGHT', 'Weight', 'double', CreoleTypes::DECIMAL, false, 8);

		$tMap->addColumn('NUMBER_OF_PARCELS', 'NumberOfParcels', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('COMMENTS', 'Comments', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('SENDER_NAME', 'SenderName', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_STREET', 'SenderStreet', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_HOUSE_NUMBER', 'SenderHouseNumber', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_APARTMENT_NUMBER', 'SenderApartmentNumber', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_POSTAL_CODE', 'SenderPostalCode', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_CITY', 'SenderCity', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_COUNTRY', 'SenderCountry', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_CONTACT_PERSON', 'SenderContactPerson', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_PHONE', 'SenderPhone', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_EMAIL', 'SenderEmail', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SENDER_TERMINAL', 'SenderTerminal', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_NAME', 'ReceiverName', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_STREET', 'ReceiverStreet', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_HOUSE_NUMBER', 'ReceiverHouseNumber', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_APARTMENT_NUMBER', 'ReceiverApartmentNumber', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_POSTAL_CODE', 'ReceiverPostalCode', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_CITY', 'ReceiverCity', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_COUNTRY', 'ReceiverCountry', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_CONTACT_PERSON', 'ReceiverContactPerson', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_PHONE', 'ReceiverPhone', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_EMAIL', 'ReceiverEmail', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_GLOB_BOX', 'ReceiverGlobBox', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('RECEIVER_TERMINAL', 'ReceiverTerminal', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('CUSTOM_LP', 'CustomLp', 'array', CreoleTypes::LONGVARCHAR, false, null);

	} 
} 